Modify

Opened 14 months ago

Last modified 12 months ago

#16012 new defect

IAE: Node is already deleted when joining two ways (JoinAreasAction)

Reported by: anonymous Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report join Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. could not join 2 ways

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-01-28 23:08:56 +0100 (Sun, 28 Jan 2018)
Build-Date:2018-01-28 22:25:44
Revision:13367
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13367 en) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1709 (16299)
Memory Usage: 574 MB / 989 MB (248 MB allocated, but free)
Java version: 1.8.0_151-b12, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1600x900
Maximum Screen Size: 1600x900
Dataset consistency test: No problems found

Plugins:
+ ImportImagePlugin (33563)
+ Mapillary (v1.5.10)
+ apache-commons (33668)
+ apache-http (32699)
+ buildings_tools (34040)
+ canvec_helper (33906)
+ ejml (32680)
+ fieldpapers (v0.4.3)
+ geojson (73)
+ geotools (33958)
+ jts (32699)
+ log4j (32699)
+ opendata (34072)
+ utilsplugin2 (33991)

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.net.SocketTimeoutException: Read timed out
- E: Error header: The changeset 56658885 was closed at 2018-02-25 12:51:41 UTC
- E: Error header: The changeset 56658963 was closed at 2018-02-25 12:55:26 UTC
- W: java.net.SocketTimeoutException: Read timed out
- E: Error header: The changeset 56659685 was closed at 2018-02-25 13:25:53 UTC
- E: Handled by bug report queue: java.lang.AssertionError: Primitive is of wrong data set for this command: {Node id=-596681 version=0 MVD lat=50.25000266645166,lon=-89.41189839328139}
- E: Handled by bug report queue: java.lang.IllegalArgumentException: {Node id=-307293 version=0 MVD lat=50.26372927425615,lon=-89.36902180477037} is already deleted


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (17) of main
java.lang.IllegalArgumentException: {Node id=-307293 version=0 MVD lat=50.26372927425615,lon=-89.36902180477037} is already deleted
	at org.openstreetmap.josm.command.DeleteCommand.executeCommand(DeleteCommand.java:190)
	at org.openstreetmap.josm.command.SequenceCommand.executeCommand(SequenceCommand.java:79)
	at org.openstreetmap.josm.command.SequenceCommand.executeCommand(SequenceCommand.java:79)
	at org.openstreetmap.josm.command.SequenceCommand.executeCommand(SequenceCommand.java:79)
	at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:69)
	at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:92)
	at org.openstreetmap.josm.actions.JoinAreasAction.commitCommand(JoinAreasAction.java:832)
	at org.openstreetmap.josm.actions.JoinAreasAction.commitCommands(JoinAreasAction.java:822)
	at org.openstreetmap.josm.actions.JoinAreasAction.resolveTagConflicts(JoinAreasAction.java:739)
	at org.openstreetmap.josm.actions.JoinAreasAction.join(JoinAreasAction.java:533)
	at org.openstreetmap.josm.actions.JoinAreasAction.actionPerformed(JoinAreasAction.java:474)
	at javax.swing.SwingUtilities.notifyAction(Unknown Source)
	at javax.swing.JComponent.processKeyBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireKeyboardAction(Unknown Source)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(Unknown Source)
	at javax.swing.JComponent.processKeyBindings(Unknown Source)
	at javax.swing.JComponent.processKeyEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.KeyboardFocusManager.redispatchEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (2)

comment:1 Changed 14 months ago by Don-vip

Description: modified (diff)
Keywords: join added
Summary: could not join 2 waysIAE: Node is already deleted when joining two ways

comment:2 Changed 12 months ago by Don-vip

Summary: IAE: Node is already deleted when joining two waysIAE: Node is already deleted when joining two ways (JoinAreasAction)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to anonymous
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.